export declare type ActionCreatorFunction<TS extends string> = ((...args: any[]) => {
    type: TS;
    payload?: any;
    meta?: any;
    error?: boolean;
});
export declare type TSActionCreator<AC, T extends string> = AC & {
    readonly type: T;
};
export declare function createAction<TS extends string, AC extends (() => {
    type: TS;
})>(typeString: TS): TSActionCreator<AC, TS>;
export declare function createAction<TS extends string, AC extends ActionCreatorFunction<TS>>(typeString: TS, creatorFunction: AC): TSActionCreator<AC, TS>;
